interactions:
- request:
    body: '{"apiVersion": "v1", "kind": "Namespace", "metadata": {"name": "tool-test-account-normal"}}'
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: POST
    uri: https://10.96.0.1/api/v1/namespaces
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"3e041479-8cd6-494f-b6e8-016a7f615e88","resourceVersion":"668932","creationTimestamp":"2024-11-05T14:50:19Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:50:19Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Active"}}

        '
    headers:
      Audit-Id:
      - b98a131c-8d40-43d6-a520-90b998932d12
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '560'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:50:19 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 201
      message: Created
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"3e041479-8cd6-494f-b6e8-016a7f615e88","resourceVersion":"668932","creationTimestamp":"2024-11-05T14:50:19Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:50:19Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Active"}}

        '
    headers:
      Audit-Id:
      - 8b0b9e10-fa3a-43f0-8b1d-aa0f307d7347
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '560'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:50:19 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: DELETE
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"3e041479-8cd6-494f-b6e8-016a7f615e88","resourceVersion":"668935","creationTimestamp":"2024-11-05T14:50:19Z","deletionTimestamp":"2024-11-05T14:50:19Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:50:19Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - d4858966-5703-491d-9d03-e2668a733d97
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:50:19 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"3e041479-8cd6-494f-b6e8-016a7f615e88","resourceVersion":"668935","creationTimestamp":"2024-11-05T14:50:19Z","deletionTimestamp":"2024-11-05T14:50:19Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:50:19Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 48dfc7a9-de2d-4a50-b9e5-a7d1b7cf5894
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:50:19 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"3e041479-8cd6-494f-b6e8-016a7f615e88","resourceVersion":"668935","creationTimestamp":"2024-11-05T14:50:19Z","deletionTimestamp":"2024-11-05T14:50:19Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:50:19Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 35c3ddd0-3b23-4b2f-9156-f91030b01f61
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:50:19 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"3e041479-8cd6-494f-b6e8-016a7f615e88","resourceVersion":"668935","creationTimestamp":"2024-11-05T14:50:19Z","deletionTimestamp":"2024-11-05T14:50:19Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:50:19Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - ac00e722-adfd-444a-a9f8-0f04c1f75a64
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:50:20 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"3e041479-8cd6-494f-b6e8-016a7f615e88","resourceVersion":"668935","creationTimestamp":"2024-11-05T14:50:19Z","deletionTimestamp":"2024-11-05T14:50:19Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:50:19Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 7645ea26-73c8-4556-a708-ca39488b4959
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:50:20 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"3e041479-8cd6-494f-b6e8-016a7f615e88","resourceVersion":"668935","creationTimestamp":"2024-11-05T14:50:19Z","deletionTimestamp":"2024-11-05T14:50:19Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:50:19Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 6b195321-d69f-4f3a-97cb-de422ed3a9e2
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:50:21 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"3e041479-8cd6-494f-b6e8-016a7f615e88","resourceVersion":"668935","creationTimestamp":"2024-11-05T14:50:19Z","deletionTimestamp":"2024-11-05T14:50:19Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:50:19Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - e226dff4-6ab2-4d42-852c-daa8ad0e4254
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:50:21 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"3e041479-8cd6-494f-b6e8-016a7f615e88","resourceVersion":"668935","creationTimestamp":"2024-11-05T14:50:19Z","deletionTimestamp":"2024-11-05T14:50:19Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:50:19Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - ca8536e0-929c-41c1-af80-4e012903200e
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:50:22 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"3e041479-8cd6-494f-b6e8-016a7f615e88","resourceVersion":"668935","creationTimestamp":"2024-11-05T14:50:19Z","deletionTimestamp":"2024-11-05T14:50:19Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:50:19Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 2fd9e47f-f078-4522-afa2-04ed55e0c8a3
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:50:22 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"3e041479-8cd6-494f-b6e8-016a7f615e88","resourceVersion":"668935","creationTimestamp":"2024-11-05T14:50:19Z","deletionTimestamp":"2024-11-05T14:50:19Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:50:19Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - 0612a620-4321-4a6c-961e-6af7f845f010
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:50:23 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Namespace","apiVersion":"v1","metadata":{"name":"tool-test-account-normal","uid":"3e041479-8cd6-494f-b6e8-016a7f615e88","resourceVersion":"668935","creationTimestamp":"2024-11-05T14:50:19Z","deletionTimestamp":"2024-11-05T14:50:19Z","labels":{"kubernetes.io/metadata.name":"tool-test-account-normal"},"managedFields":[{"manager":"OpenAPI-Generator","operation":"Update","apiVersion":"v1","time":"2024-11-05T14:50:19Z","fieldsType":"FieldsV1","fieldsV1":{"f:metadata":{"f:labels":{".":{},"f:kubernetes.io/metadata.name":{}}}}}]},"spec":{"finalizers":["kubernetes"]},"status":{"phase":"Terminating"}}

        '
    headers:
      Audit-Id:
      - b50c15fd-496b-4d7b-a626-afdaa8f8d1e8
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '608'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:50:23 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - application/json
      Content-Type:
      - application/json
      User-Agent:
      - OpenAPI-Generator/23.6.0/python
      authorization:
      - DUMMY
    method: GET
    uri: https://10.96.0.1/api/v1/namespaces/tool-test-account-normal
  response:
    body:
      string: '{"kind":"Status","apiVersion":"v1","metadata":{},"status":"Failure","message":"namespaces
        \"tool-test-account-normal\" not found","reason":"NotFound","details":{"name":"tool-test-account-normal","kind":"namespaces"},"code":404}

        '
    headers:
      Audit-Id:
      - d50d40d0-45e0-4063-b5d4-b8b7f94c1dea
      Cache-Control:
      - no-cache, private
      Content-Length:
      - '228'
      Content-Type:
      - application/json
      Date:
      - Tue, 05 Nov 2024 14:50:24 GMT
      X-Kubernetes-Pf-Flowschema-Uid:
      - 65f902ac-72c4-4296-86a9-616e650de440
      X-Kubernetes-Pf-Prioritylevel-Uid:
      - 6275972d-c7ad-4048-b9a5-d850db006a01
    status:
      code: 404
      message: Not Found
version: 1
